Bug 213100 - SELinux prevents opening of hyperlink from OpenOffice.org in Epiphany
SELinux prevents opening of hyperlink from OpenOffice.org in Epiphany
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-10-30 15:28 EST by Wade Nelson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-11 17:17:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wade Nelson 2006-10-30 15:28:19 EST
Description of problem:
With Epiphany set as preffered application for brower, hyperlinks from
OpenOffice.org cannot be opened due to SELinux.  SELinux policy is set to
'enforcing'.  Epiphany and epiphany-extensions are installed, as well as all
major OpenOffice.org components.  Behaviour is the same for all OpenOffice.org
components.  Hyperlinks open in Firefox 1.5 just fine.

Error displayed:
Could not start GNOME Web Browser
Startup failed because of the following error:
Connection ":1.14" is not allowed to own the service "org.gnome.Epiphany" due to
SELinux policy

The Connection ":1.14" part varies, I've seen it say ":1.12" as well.

How reproducible:

Steps to Reproduce:
1. Install epiphany (and epiphany-extensions if necessary) and set as preferred
browser in GNOME preferences to open links in new tab
2. Create or open an OpenOffice.org document with a hyperlink
3. Click hyperlink within document.
Actual results:
SELinux error as above

Expected results:
Link should open in new epiphany tab as specified in GNOME preferences
Comment 1 Daniel Walsh 2006-10-31 08:56:22 EST
This sounds like a badly labeled shared library.  Do you see any avc messages in
/var/log/message or /var/log/audit/audit.log
Comment 2 Daniel Walsh 2007-01-11 17:17:32 EST
Closing as I believe this was a labeling problem.

Note You need to log in before you can comment on or make changes to this bug.